Subject: Re: updated tcatm patches for kernel/iproute 2.6.22

From: Stephen Hemminger <[email-masked]>
Date: Wed, 18 Jul 2007 23:39:15 +0100

On Thu, 19 Jul 2007 00:06:38 +0300
Sami Farin <[email-masked]> wrote:

> I got tired of getting 15% packet loss [1] when doing
> lots of DNS lookups on my ADSL link...
> And that was even when limiting outgoing DNS traffic
> to 200 Kbit/s (ADSL modem upstream speed is 512 Kbit/s).
> 
> I had used tcatm patch with 2.6.16 kernel and I was
> happy with it.
> Now I patched Linux kernel 2.6.22 and iproute-2.6.22
> for tcatm.  Seems to work (TM).  Only HTB tested.
> 
> Now I get 0% packet loss when doing lots of DNS queries
> (270pps) and DNS traffic is limited with
> HTB/ESFQ to 504Kbit/s.  I used "tc class add ... atm overhead 20"
> but I am not sure is it really 20 (Sonera in Finland).
> Without tcatm I had to have there 420Kbit and it still sucked.
> 
> I keep patches at
> http://safari.iki.fi/tcatm/
> 
> I read one thread from this year where there were objections
> about tcatm's some parts and then discussion petered out...
> I and probably Russell Stuart would probably like to get
> these patches fixed so that everyone is pleased
> and these can be incorporated into kernel some year,
> because I believe ADSL is very popular nowadays ( =) )
> and people would probably like if traffic control was
> actually usable for them ( =) )...
> 
> [1] ping -A 80.223.96.1

My concern is that this would cause the existing users of TBF and
other qdisc's.  If you don't choose ATM do you get the same values?